Java 11 support

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Java 11 support

Rao Sanaka, Venkateswara
Hi,

Which version of Apache Camel does officially supports Java 11 platform?
Any probable timelines will be helpful.

Best Regards,
Venki.



Reply | Threaded
Open this post in threaded view
|

Re: Java 11 support

Claus Ibsen-2
Hi

Camel 3 will support Java 11.

We may do a "best-effort" support for a future Camel 2.x release,
maybe 2.24 or if we we end up doing a 2.25 release also.

On Mon, Jan 7, 2019 at 10:10 AM Rao Sanaka, Venkateswara
<[hidden email]> wrote:

>
> Hi,
>
> Which version of Apache Camel does officially supports Java 11 platform?
> Any probable timelines will be helpful.
>
> Best Regards,
> Venki.
>
>
>


--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2
Reply | Threaded
Open this post in threaded view
|

Re: Java 11 support

David J. M. Karlsen
I am currently using 2.23 with java 11 just fine.

man. 7. jan. 2019 kl. 20:53 skrev Claus Ibsen <[hidden email]>:

> Hi
>
> Camel 3 will support Java 11.
>
> We may do a "best-effort" support for a future Camel 2.x release,
> maybe 2.24 or if we we end up doing a 2.25 release also.
>
> On Mon, Jan 7, 2019 at 10:10 AM Rao Sanaka, Venkateswara
> <[hidden email]> wrote:
> >
> > Hi,
> >
> > Which version of Apache Camel does officially supports Java 11 platform?
> > Any probable timelines will be helpful.
> >
> > Best Regards,
> > Venki.
> >
> >
> >
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2
>
Reply | Threaded
Open this post in threaded view
|

R: Re: Java 11 support

Andrea Cosentino-2
What components are you using? Did you had to tweak something?

Inviato da Yahoo Mail su Android
 
  Il lun, 7 gen, 2019 alle 21:34, David Karlsen<[hidden email]> ha scritto:   I am currently using 2.23 with java 11 just fine.

man. 7. jan. 2019 kl. 20:53 skrev Claus Ibsen <[hidden email]>:

> Hi
>
> Camel 3 will support Java 11.
>
> We may do a "best-effort" support for a future Camel 2.x release,
> maybe 2.24 or if we we end up doing a 2.25 release also.
>
> On Mon, Jan 7, 2019 at 10:10 AM Rao Sanaka, Venkateswara
> <[hidden email]> wrote:
> >
> > Hi,
> >
> > Which version of Apache Camel does officially supports Java 11 platform?
> > Any probable timelines will be helpful.
> >
> > Best Regards,
> > Venki.
> >
> >
> >
>
>
> --
> Claus Ibsen
> -----------------
> http://davsclaus.com @davsclaus
> Camel in Action 2: https://www.manning.com/ibsen2
>
 
Reply | Threaded
Open this post in threaded view
|

Re: Java 11 support

Pascal Schumacher
In reply to this post by David J. M. Karlsen


I'm also using 2.23 with Java 11 (components: spring-boot, servlet,
http4, activemq, mail, smpp, scheduler...).

I had do add some dependencies for the removed JEE modules
https://openjdk.java.net/jeps/320 (not sure if any were for Camel).

Am 07.01.2019 um 21:33 schrieb David Karlsen:

> I am currently using 2.23 with java 11 just fine.
>
> man. 7. jan. 2019 kl. 20:53 skrev Claus Ibsen <[hidden email]>:
>
>> Hi
>>
>> Camel 3 will support Java 11.
>>
>> We may do a "best-effort" support for a future Camel 2.x release,
>> maybe 2.24 or if we we end up doing a 2.25 release also.
>>
>> On Mon, Jan 7, 2019 at 10:10 AM Rao Sanaka, Venkateswara
>> <[hidden email]> wrote:
>>> Hi,
>>>
>>> Which version of Apache Camel does officially supports Java 11 platform?
>>> Any probable timelines will be helpful.
>>>
>>> Best Regards,
>>> Venki.
>>>
>>>
>>>
>>
>> --
>> Claus Ibsen
>> -----------------
>> http://davsclaus.com @davsclaus
>> Camel in Action 2: https://www.manning.com/ibsen2
>>

Reply | Threaded
Open this post in threaded view
|

Re: Re: Java 11 support

David J. M. Karlsen
In reply to this post by Andrea Cosentino-2
See grep [1] for components.
Nothing special - other than adding jee api's which were removed from the
JDK and still needed (like jaxb etc) - not in particular for camel - but
for the application as such when moving from 8 -> 11.

[1]
find . -name pom.xml|xargs fgrep  'artifactId>camel'|sort -u
./pays-core/pays-core-batch/pom.xml:
<artifactId>camel-core</artifactId>
./pays-core/pays-core-batch/pom.xml:
<artifactId>camel-cxf</artifactId>
./pays-core/pays-core-batch/pom.xml:
<artifactId>camel-http</artifactId>
./pays-core/pays-core-batch/pom.xml:
<artifactId>camel-jaxb</artifactId>
./pays-core/pays-core-batch/pom.xml:
<artifactId>camel-mail</artifactId>
./pays-core/pays-core-batch/pom.xml:
<artifactId>camel-spring</artifactId>
./pays-core/pays-core-batch/pom.xml:
<artifactId>camel-test-spring</artifactId>
./pays-core/pays-core-common/pom.xml:
 <artifactId>camel-core</artifactId>
./pays-core/pays-core-common/pom.xml:
 <artifactId>camel-spring-boot-starter</artifactId>
./pays-core/pays-core-common/pom.xml:
 <artifactId>camel-spring-boot</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-beanio</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-core</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-ftp</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-http</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-jackson</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-jaxb</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-jms</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-mail</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-spring</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-test</artifactId>
./pays-core/pays-core-pi-integration/pom.xml:
<artifactId>camel-velocity</artifactId>
./pays-core/pays-core-pi-service/pom.xml:
<artifactId>camel-test-spring</artifactId>
./pays-core/pays-core-pi-test/pom.xml:
<artifactId>camel-test-spring</artifactId>
./pays-core/pays-core-pwh-dao/pom.xml:
<artifactId>camel-jpa</artifactId>
./pays-web/pays-web-ws-pays/pom.xml:
<artifactId>camel-spring-boot</artifactId>
./pin-perf/pom.xml:      <artifactId>camel-core</artifactId>
./pin-perf/pom.xml:      <artifactId>camel-csv</artifactId>
./pin-perf/pom.xml:      <artifactId>camel-disruptor</artifactId>
./pin-perf/pom.xml:      <artifactId>camel-jaxb</artifactId>
./pin-perf/pom.xml:      <artifactId>camel-jms</artifactId>
./pin-perf/pom.xml:      <artifactId>camel-spring</artifactId>
./pom.xml:                        <artifactId>camel-javaspace</artifactId>
./pom.xml:                <artifactId>camel-bom</artifactId>
./pom.xml:                <artifactId>camel-jms</artifactId>


Den man. 7. jan. 2019 kl. 21:57 skrev Andrea Cosentino <
[hidden email]>:

> What components are you using? Did you had to tweak something?
>
> Inviato da Yahoo Mail su Android
> <https://go.onelink.me/107872968?pid=InProduct&c=Global_Internal_YGrowth_AndroidEmailSig__AndroidUsers&af_wl=ym&af_sub1=Internal&af_sub2=Global_YGrowth&af_sub3=EmailSignature>
>
> Il lun, 7 gen, 2019 alle 21:34, David Karlsen
> <[hidden email]> ha scritto:
> I am currently using 2.23 with java 11 just fine.
>
> man. 7. jan. 2019 kl. 20:53 skrev Claus Ibsen <[hidden email]>:
>
> > Hi
> >
> > Camel 3 will support Java 11.
> >
> > We may do a "best-effort" support for a future Camel 2.x release,
> > maybe 2.24 or if we we end up doing a 2.25 release also.
> >
> > On Mon, Jan 7, 2019 at 10:10 AM Rao Sanaka, Venkateswara
> > <[hidden email]> wrote:
> > >
> > > Hi,
> > >
> > > Which version of Apache Camel does officially supports Java 11
> platform?
> > > Any probable timelines will be helpful.
> > >
> > > Best Regards,
> > > Venki.
> > >
> > >
> > >
> >
> >
> > --
> > Claus Ibsen
> > -----------------
> > http://davsclaus.com @davsclaus
> > Camel in Action 2: https://www.manning.com/ibsen2
> >
>
>

--
--
David J. M. Karlsen - http://www.linkedin.com/in/davidkarlsen